DCMTK - Feature #423

All "set” methods should be extended by an optional "check" parameter

2012-05-14 16:03 - Jorg Riesmeier

Status: Closed
Priority: Normal
Assignee: Jorg Riesmeier
Category: Library

Target version:
Module: dcmsr

Operating System:

Start date: 2012-05-14
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

All (or almost all) "set" methods troughout the DCMSR module should be extended by an optional parameter "const OFBool check =
OFTrue", which allows for checking the passed value for conformance with the DICOM standard. This also applies to other methods

that receive a DICOM element value as a character string.

Up to now, only the main interface class DSRDocument supports this "new" feature.

History

#1 - 2012-05-24 19:08 - J6rg Riesmeier

- Status changed from New to Assigned

#2 - 2012-05-25 15:58 - Jorg Riesmeier

Folgende Klassen sollten betroffen sein:
#3 - 2012-05-31 10:18 - J6rg Riesmeier
- % Done changed from 0 to 30

#4 - 2012-05-31 15:04 - J6rg Riesmeier
- % Done changed from 30 to 60

#5 - 2012-06-04 16:36 - JOorg Riesmeier
- % Done changed from 60 to 80

#6 - 2012-06-06 17:58 - JOorg Riesmeier
- % Done changed from 80 to 90
http://support.dcmtk.org/docs-snapshot/classDSRDocument.html

#7 - 2012-06-11 10:53 - J6rg Riesmeier
- Status changed from Assigned to Closed

- % Done changed from 90 to 100
